Subject: Re: [RFC iproute2-next 2/4] rdma: Add support for rdma monitor

From: Jason Gunthorpe <[email-masked]>
Date: Wed, 4 Sep 2024 12:54:59 -0300

On Mon, Sep 02, 2024 at 09:12:52PM +0300, Leon Romanovsky wrote:

> > That's a big assumption.
> > 
> > It is trivial to convert indices to names, so this can be readable for both.
> 
> We had an internal discussion about this earlier today and came to same
> conclusion that we will convert indexes to names in the rdmatool without
> need to change the kernel API.

I think you need both, no automation should be using the names since
they can be renamed in racey way, everything must use only indexes.

We've had issues here in the past with tools racing against systemd
renaming the interface at hotplug time.

Jason